Subject: [lemonade] [Lemonade] Copy mails from SMTP server to IMAP "Sent" folder

From: Jayantheesh S B <[email-masked]>
Date: Wed, 7 May 2014 19:27:00 +0000

Hi All,

While surfing internet for IMAP protocol, from the below link, its mentioned that saving the mail in Sent folder for IMAP account can  be avoided
by URLAUTH (RFC 4467<http://tools.ietf.org/html/rfc4467>) and CATENATE (RFC 4469<http://tools.ietf.org/html/rfc4469>) in IMAP and BURL (RFC 4468<http://tools.ietf.org/html/rfc4468>) in SMTP-SUBMISSION rfc.

http://en.wikipedia.org/wiki/Internet_Message_Access_Protocol

Unlike some proprietary protocols which combine sending and retrieval operations, sending a message and saving a copy in a server-side folder with a base-level IMAP client requires transmitting the message content twice, once to SMTP for delivery and a second time to IMAP to store in a sent mail folder. This is remedied by a set of extensions defined by the IETF LEMONADE Working Group for mobile devices: URLAUTH (RFC 4467<http://tools.ietf.org/html/rfc4467>) and CATENATE (RFC 4469<http://tools.ietf.org/html/rfc4469>) in IMAP and BURL (RFC 4468<http://tools.ietf.org/html/rfc4468>) in SMTP-SUBMISSION. POP servers don't support server-side folders so clients have no choice but to store sent items on the client. Many IMAP clients can be configured to store sent mail in a client-side folder, or to BCC oneself and then filter the incoming mail instead of saving a copy in a folder directly. In addition to the LEMONADE "trio", Courier Mail Server<http://en.wikipedia.org/wiki/Courier_Mail_Server> offers a non-standard method of sending using IMAP by copying an outgoing message to a dedicated outbox folder

Assume, user has sent an email with 5 MB of attachment from Smart Phone, its consuming mobile data twice, since same mail has to be copied to "Sent" folder of IMAP account.
For end user, totally more than 10MB is consumed. Please clarify how this can be avoided by using above specified IETF Lemonade standard.
I did not see any section which talks about the Mail copy to IMAP sent folder. Kindly clarify.

Note:  Gmail SMTP server automatically copies the mail in the IMAP server "Sent" folder, which saves mobile data for end user.

Regards,
Jay

---

From: Jan Kundrát <[email-masked]>
Date: Wed, 07 May 2014 21:36:12 +0200

On Wednesday, 7 May 2014 21:27:00 CEST, Jayantheesh S B wrote:
> Please clarify how this can be avoided by using above specified IETF 
> Lemonade standard.

You might want to read [1]. Section 3.5 explains this mode of operation. 
For details on how this actually works, you should actually read the RFCs 
you mentioned.

What is your question, exactly?

> Note:  Gmail SMTP server automatically copies the mail in the 
> IMAP server "Sent" folder, which saves mobile data for end user.

Yes. If one is a vendor of some integrated solution, they can make this 
"magic" happen at essentially zero cost.

BTW, please do not cross-post to multiple IETF mailing lists at once.

Cheers,
Jan

[1] http://trojita.flaska.net/msc-thesis.pdf

-- 
Trojitá, a fast Qt IMAP e-mail client -- http://trojita.flaska.net/

---

From: Stephan Bosch <[email-masked]>
Date: Wed, 07 May 2014 22:11:27 +0200

Hi,

On 5/7/2014 9:27 PM, Jayantheesh S B wrote:
>
> Hi All,
>
>  
>
> While surfing internet for IMAP protocol, from the below link, its
> mentioned that saving the mail in Sent folder for IMAP account can  be
> avoided
>
> by URLAUTH (RFC 4467 <http://tools.ietf.org/html/rfc4467>) and
> CATENATE (RFC 4469 <http://tools.ietf.org/html/rfc4469>) in IMAP and
> BURL (RFC 4468 <http://tools.ietf.org/html/rfc4468>) in
> SMTP-SUBMISSIONrfc.
>
>  
>
> Unlike some proprietary protocols which combine sending and retrieval
> operations, sending a message and saving a copy in a server-side
> folder with a base-level IMAP client requires transmitting the message
> content twice, once to SMTP for delivery and a second time to IMAP to
> store in a sent mail folder. This is remedied by a set of extensions
> defined by the IETF LEMONADE Working Group for mobile devices: URLAUTH
> (RFC 4467 <http://tools.ietf.org/html/rfc4467>) and CATENATE (RFC 4469
> <http://tools.ietf.org/html/rfc4469>) in IMAP and BURL (RFC 4468
> <http://tools.ietf.org/html/rfc4468>) in SMTP-SUBMISSION. POP servers
> don't support server-side folders so clients have no choice but to
> store sent items on the client. Many IMAP clients can be configured to
> store sent mail in a client-side folder, or to BCC oneself and then
> filter the incoming mail instead of saving a copy in a folder
> directly. In addition to the LEMONADE "trio", Courier Mail Server
> <http://en.wikipedia.org/wiki/Courier_Mail_Server> offers a
> non-standard method of sending using IMAP by copying an outgoing
> message to a dedicated outbox folder
>
>  
>
> Assume, user has sent an email with 5 MB of attachment from Smart
> Phone, its consuming mobile data twice, since same mail has to be
> copied to "Sent" folder of IMAP account.
>
> For end user, totally more than 10MB is consumed. Please clarify how
> this can be avoided by using above specified IETF Lemonade standard.
>

http://tools.ietf.org/html/rfc5550#section-8

Regards,

Stephan.